InsertTag.DirectStringHandler (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.taglib
Class InsertTag.DirectStringHandler

    java.lang.Object
      org.apache.struts.tiles.taglib.InsertTag.DirectStringHandler

All Implemented Interfaces:
  InsertTag.TagHandler

Enclosing class:
  InsertTag

    protected class InsertTag.DirectStringHandler

extends Object
implements InsertTag.TagHandler

Handle insert direct string.

Constructor Summary
`InsertTag.DirectStringHandler(Object value)` Constructor.

Method Summary
`int` | `doEndTag()` Print String in page output stream.
`int` | `doStartTag()` Do nothing, there is no context for a direct string.
`void` | `putAttribute(String name, Object value)` Add attribute to sub context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertTag.DirectStringHandler

    public InsertTag.DirectStringHandler(Object value)

  Constructor.

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Do nothing, there is no context for a direct string.

  Specified by:
    `doStartTag` in interface `InsertTag.TagHandler`
  Throws:
    `JspException`

### putAttribute

    public void putAttribute(String name,
                             Object value)

  Add attribute to sub context. Do nothing.

  Specified by:
    `putAttribute` in interface `InsertTag.TagHandler`

### doEndTag

    public int doEndTag()
                 throws JspException

  Print String in page output stream.

  Specified by:
    `doEndTag` in interface `InsertTag.TagHandler`
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.